Index: /trunk/stitch-examples/stitch-3linear-ddc.rspec
===================================================================
--- /trunk/stitch-examples/stitch-3linear-ddc.rspec	(revision 2387)
+++ /trunk/stitch-examples/stitch-3linear-ddc.rspec	(revision 2387)
@@ -0,0 +1,48 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-utahddc" component_manager_id="urn:publicid:IDN+utahddc.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-utahddc:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="pg-utah:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="pg-utah:if1">
+      <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="pg-utah:if1"/>
+    <property source_id="ig-gpo:if0" dest_id="pg-utah:if1" capacity="100000"/>
+    <property source_id="pg-utah:if1" dest_id="ig-gpo:if0" capacity="100000"/>
+  </link>
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utahddc.geniracks.net+authority+cm"/>
+    <interface_ref client_id="ig-utahddc:if0"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <property source_id="pg-utah:if0" dest_id="ig-utahddc:if0" capacity="100000"/>
+    <property source_id="ig-utahddc:if0" dest_id="pg-utah:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-3linear-vz.rspec
===================================================================
--- /trunk/stitch-examples/stitch-3linear-vz.rspec	(revision 2387)
+++ /trunk/stitch-examples/stitch-3linear-vz.rspec	(revision 2387)
@@ -0,0 +1,51 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-utah:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-utah:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="pg-utah:if1">
+      <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="pg-utah:if1"/>
+    <property source_id="ig-gpo:if0" dest_id="pg-utah:if1" capacity="100000"/>
+    <property source_id="pg-utah:if1" dest_id="ig-gpo:if0" capacity="100000"/>
+  </link>
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="ig-utah:if0"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="100000"/>
+    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-3linear-xen.rspec
===================================================================
--- /trunk/stitch-examples/stitch-3linear-xen.rspec	(revision 2387)
+++ /trunk/stitch-examples/stitch-3linear-xen.rspec	(revision 2387)
@@ -0,0 +1,48 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-utah:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="pg-utah:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="pg-utah:if1">
+      <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="pg-utah:if1"/>
+    <property source_id="ig-gpo:if0" dest_id="pg-utah:if1" capacity="100000"/>
+    <property source_id="pg-utah:if1" dest_id="ig-gpo:if0" capacity="100000"/>
+  </link>
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="ig-utah:if0"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="100000"/>
+    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-3linear.rspec
===================================================================
--- /trunk/stitch-examples/stitch-3linear.rspec	(revision 2386)
+++ /trunk/stitch-examples/stitch-3linear.rspec	(revision 2387)
@@ -10,5 +10,5 @@
   <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
-   <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
     <interface client_id="ig-gpo:if0">
       <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
@@ -17,5 +17,5 @@
   <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
-   <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
     <interface client_id="ig-utah:if0">
       <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
@@ -24,5 +24,5 @@
   <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
-   <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
     <interface client_id="pg-utah:if0">
       <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
Index: /trunk/stitch-examples/stitch-4linear.rspec
===================================================================
--- /trunk/stitch-examples/stitch-4linear.rspec	(revision 2386)
+++ /trunk/stitch-examples/stitch-4linear.rspec	(revision 2387)
@@ -8,18 +8,14 @@
 	http://www.geni.net/resources/rspec/3/request.xsd">  
 
-<node client_id="max3" component_id="urn:publicid:IDN+dragon.maxgigapop.net+node+planetlab2" component_manager_id="u
-rn:publicid:IDN+dragon.maxgigapop.net+authority+am" exclusive="true"> 
-   <hardware_type name="plab-pc"/> 
-   <hardware_type name="pc"/> 
-   <sliver_type name="plab-vserver">
-   </sliver_type> 
-   <interface client_id="max3:if0" component_id="urn:publicid:IDN+dragon.maxgigapop.net+interface+planetlab2:eth1"> 
-   <ip address="192.168.5.2" netmask="255.255.255.0" type="ipv4"/> 
-   </interface> 
-</node>
-
+  <node client_id="pg-uky" component_manager_id="urn:publicid:IDN+uky.emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-uky:if0">
+      <ip address="192.168.5.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
 <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
-   <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
     <interface client_id="ig-gpo:if0">
       <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
@@ -32,5 +28,5 @@
 <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
-   <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
     <interface client_id="ig-utah:if0">
       <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
@@ -40,5 +36,5 @@
 <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
-   <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
     <interface client_id="pg-utah:if0">
       <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
@@ -67,10 +63,9 @@
  <link client_id="link2"> 
     <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/> 
-    <component_manager name="urn:publicid:IDN+ion.internet2.edu+authority+am"/> 
-    <component_manager name="urn:publicid:IDN+dragon.maxgigapop.net+authority+am"/> 
+    <component_manager name="urn:publicid:IDN+uky.emulab.net+authority+cm"/>
     <interface_ref client_id="ig-gpo:if0"/> 
-    <interface_ref client_id="max3:if0"/> 
-    <property source_id="ig-gpo:if1" dest_id="max3:if0" capacity="100000"/> 
-    <property source_id="max3:if0" dest_id="ig-gpo:if1" capacity="100000"/>
+    <interface_ref client_id="pg-uky:if0"/> 
+    <property source_id="ig-gpo:if1" dest_id="pg-uky:if0" capacity="100000"/> 
+    <property source_id="pg-uky:if0" dest_id="ig-gpo:if1" capacity="100000"/>
  </link> 
 </rspec>
Index: /trunk/stitch-examples/stitch-eg-gpo-ig-gpo.rspec
===================================================================
--- /trunk/stitch-examples/stitch-eg-gpo-ig-gpo.rspec	(revision 2386)
+++ /trunk/stitch-examples/stitch-eg-gpo-ig-gpo.rspec	(revision 2387)
@@ -15,4 +15,5 @@
   <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" >
     <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
     <interface client_id="ig-gpo:if0">
       <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
Index: /trunk/stitch-examples/stitch-eg-gpo-ig-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-eg-gpo-ig-utah.rspec	(revision 2386)
+++ /trunk/stitch-examples/stitch-eg-gpo-ig-utah.rspec	(revision 2387)
@@ -14,4 +14,7 @@
   <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" >
     <sliver_type name="emulab-openvz"/>
+     <services> 
+     <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/>
+    </services>
     <interface client_id="ig-utah:if0">
       <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
Index: /trunk/stitch-examples/stitch-eg-gpo-ig-utahddc.rspec
===================================================================
--- /trunk/stitch-examples/stitch-eg-gpo-ig-utahddc.rspec	(revision 2387)
+++ /trunk/stitch-examples/stitch-eg-gpo-ig-utahddc.rspec	(revision 2387)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="eg-gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am">
+   <interface client_id="eg-gpo:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="ig-utahddc" component_manager_id="urn:publicid:IDN+utahddc.geniracks.net+authority+cm" >
+    <sliver_type name="emulab-xen"/>
+     <services> 
+     <execute command="sudo yum install iperf -y" shell="sh"/>
+    </services>
+    <interface client_id="ig-utahddc:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-eggpo-igutahddc">
+    <component_manager name="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am"/>
+    <interface_ref client_id="eg-gpo:if0"/>
+    <component_manager name="urn:publicid:IDN+utahddc.geniracks.net+authority+cm"/>
+    <interface_ref client_id="ig-utahddc:if0"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-eg-gpo-pg-ky.rspec
===================================================================
--- /trunk/stitch-examples/stitch-eg-gpo-pg-ky.rspec	(revision 2387)
+++ /trunk/stitch-examples/stitch-eg-gpo-pg-ky.rspec	(revision 2387)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="eg-gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am">
+   <interface client_id="eg-gpo:if0">
+      <ip address="172.16.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="pg-ky" component_manager_id="urn:publicid:IDN+uky.emulab.net+authority+cm" >
+    <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-ky:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am"/>
+    <component_manager name="urn:publicid:IDN+uky.emulab.net+authority+cm"/>
+    <interface_ref client_id="eg-gpo:if0"/>
+    <interface_ref client_id="pg-ky:if0"/>
+    <property source_id="eg-gpo:if0" dest_id="pg-ky:if0" capacity="100000"/>
+    <property source_id="pg-ky:if0" dest_id="eg-gpo:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-eg-gpo-pg-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-eg-gpo-pg-utah.rspec	(revision 2387)
+++ /trunk/stitch-examples/stitch-eg-gpo-pg-utah.rspec	(revision 2387)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="eg-gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am">
+   <interface client_id="eg-gpo:if0">
+      <ip address="172.16.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" >
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="pg-utah:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am"/>
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <interface_ref client_id="eg-gpo:if0"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <property source_id="eg-gpo:if0" dest_id="pg-utah:if0" capacity="1000000"/>
+    <property source_id="pg-utah:if0" dest_id="eg-gpo:if0" capacity="1000000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-ig-gpo-ig-utah-xen.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-gpo-ig-utah-xen.rspec	(revision 2387)
+++ /trunk/stitch-examples/stitch-ig-gpo-ig-utah-xen.rspec	(revision 2387)
@@ -0,0 +1,30 @@
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xmlns:stitch="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/"
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+                        http://www.geni.net/resources/rspec/3/request.xsd
+                        http://hpn.east.isi.edu/rspec/ext/stitch/0.1/
+                        http://hpn.east.isi.edu/rspec/ext/stitch/0.1/stitch-schema.xsd"
+       type="request">
+  <node client_id="ig-gpo-xen" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="true">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-gpo-xen:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-utah-xen" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="true">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-utah-xen:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link0">
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-utah-xen:if0"/>
+    <interface_ref client_id="ig-gpo-xen:if0"/>
+    <property source_id="ig-utah-xen:if0" dest_id="ig-gpo-xen:if0"/>
+    <property source_id="ig-gpo-xen:if0" dest_id="ig-utah-xen:if0"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-ig-gpo-ig-utahddc.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-gpo-ig-utahddc.rspec	(revision 2387)
+++ /trunk/stitch-examples/stitch-ig-gpo-ig-utahddc.rspec	(revision 2387)
@@ -0,0 +1,29 @@
+?xml version="1.0" encoding="UTF-8"?>
+spec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+       xmlns:stitch="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-utahddc" component_manager_id="urn:publicid:IDN+utahddc.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="raw-pc"/>
+    <interface client_id="ig-utahddc:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utahddc.geniracks.net+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="ig-utahddc:if0"/>
+    <property source_id="ig-gpo:if0" dest_id="ig-utahddc:if0" capacity="100000"/>
+    <property source_id="ig-utahddc:if0" dest_id="ig-gpo:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-ig-gpo-pg-uky.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-gpo-pg-uky.rspec	(revision 2386)
+++ /trunk/stitch-examples/stitch-ig-gpo-pg-uky.rspec	(revision 2387)
@@ -9,13 +9,13 @@
 
   <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
-    <sliver_type name="emulab-openvz"/>
+    <sliver_type name="emulab-xen"/>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
     <interface client_id="ig-gpo:if0">
       <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
-     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
     </interface>
   </node>
   <node client_id="pg-uky" component_manager_id="urn:publicid:IDN+uky.emulab.net+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
-     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
     <interface client_id="pg-uky:if0">
       <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
Index: /trunk/stitch-examples/stitch-ig-gpo-pg-utah-ig-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-gpo-pg-utah-ig-utah.rspec	(revision 2387)
+++ /trunk/stitch-examples/stitch-ig-gpo-pg-utah-ig-utah.rspec	(revision 2387)
@@ -0,0 +1,45 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-utah:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-utah:if0">
+      <ip address="192.168.4.3" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="ig-utah:if0"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <property source_id="ig-utah:if0" dest_id="ig-gpo:if0" capacity="100000"/>
+    <property source_id="ig-gpo:if0" dest_id="ig-utah:if0" capacity="100000"/>
+    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="100000"/>
+    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="100000"/>
+    <property source_id="ig-gpo:if0" dest_id="pg-utah:if0" capacity="100000"/>
+    <property source_id="pg-utah:if0" dest_id="ig-gpo:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-ig-gpo-pg-utah-xen-pc.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-gpo-pg-utah-xen-pc.rspec	(revision 2387)
+++ /trunk/stitch-examples/stitch-ig-gpo-pg-utah-xen-pc.rspec	(revision 2387)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="true">
+    <sliver_type name="raw-pc"/>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-utah:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <property source_id="ig-gpo:if0" dest_id="pg-utah:if0"/>
+    <property source_id="pg-utah:if0" dest_id="ig-gpo:if0"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-ig-gpo-pg-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-gpo-pg-utah.rspec	(revision 2386)
+++ /trunk/stitch-examples/stitch-ig-gpo-pg-utah.rspec	(revision 2387)
@@ -10,5 +10,5 @@
   <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
-     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
     <interface client_id="ig-gpo:if0">
       <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
@@ -17,5 +17,5 @@
   <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
-     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
     <interface client_id="pg-utah:if0">
       <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
@@ -27,6 +27,6 @@
     <interface_ref client_id="ig-gpo:if0"/>
     <interface_ref client_id="pg-utah:if0"/>
-    <property source_id="ig-gpo:if0" dest_id="pg-utah:if0"/>
-    <property source_id="pg-utah:if0" dest_id="ig-gpo:if0"/>
+    <property source_id="ig-gpo:if0" dest_id="pg-utah:if0" capacity="1000000"/>
+    <property source_id="pg-utah:if0" dest_id="ig-gpo:if0" capacity="1000000"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-utahddc-ig-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-utahddc-ig-utah.rspec	(revision 2387)
+++ /trunk/stitch-examples/stitch-ig-utahddc-ig-utah.rspec	(revision 2387)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-utahddc" component_manager_id="urn:publicid:IDN+utahddc.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-utahddc:if0">
+      <ip address="10.22.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-utah:if0">
+      <ip address="10.22.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="ig-utahddc:if0"/>
+    <interface_ref client_id="ig-utah:if0"/>
+    <property source_id="ig-utahddc:if0" dest_id="ig-utah:if0"/>
+    <property source_id="ig-utah:if0" dest_id="ig-utahddc:if0"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-ig-utahddc-pg-uky.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-utahddc-pg-uky.rspec	(revision 2387)
+++ /trunk/stitch-examples/stitch-ig-utahddc-pg-uky.rspec	(revision 2387)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-utahddc" component_manager_id="urn:publicid:IDN+utahddc.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+     <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-utahddc:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="pg-uky" component_manager_id="urn:publicid:IDN+uky.emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-uky:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+utahddc.geniracks.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+uky.emulab.net+authority+cm"/>
+    <interface_ref client_id="ig-utahddc:if0"/>
+    <interface_ref client_id="pg-uky:if0"/>
+    <property source_id="ig-utahddc:if0" dest_id="pg-uky:if0" capacity="100000" />
+    <property source_id="pg-uky:if0" dest_id="ig-utahddc:if0" capacity="100000" />
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-pg-utah-ig-utah-ah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-utah-ig-utah-ah.rspec	(revision 2387)
+++ /trunk/stitch-examples/stitch-pg-utah-ig-utah-ah.rspec	(revision 2387)
@@ -0,0 +1,34 @@
+<?xml version="1.0" ?>
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xmlns:stitch="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://hpn.east.isi.edu/rspec/ext/stitch/0.1/
+           http://hpn.east.isi.edu/rspec/ext/stitch/0.1/stitch-schema.xsd"
+       type="request">
+
+  <node client_id="utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>    
+    <interface client_id="utah:if1">
+      <ip address="10.20.2.2" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="utah-ig" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>    
+    <interface client_id="ig-utah:if1">
+      <ip address="10.20.2.3" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="link-utah-utah-ig">    
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>    
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="utah:if1"/>    
+    <interface_ref client_id="ig-utah:if1"/>    
+  </link>  
+
+</rspec>
Index: /trunk/stitch-examples/stitch-pg-utah-ig-utah-pc-xen.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-utah-ig-utah-pc-xen.rspec	(revision 2387)
+++ /trunk/stitch-examples/stitch-pg-utah-ig-utah-pc-xen.rspec	(revision 2387)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" >
+    <sliver_type name="raw-pc"/>
+    <interface client_id="pg-utah:if0">
+      <ip address="10.22.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" >
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="client:if0">
+      <ip address="10.22.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <interface_ref client_id="ig-utah:if0"/>
+    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="1000000" />
+    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="1000000" />
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-pg-utah-ig-utah-pc.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-utah-ig-utah-pc.rspec	(revision 2387)
+++ /trunk/stitch-examples/stitch-pg-utah-ig-utah-pc.rspec	(revision 2387)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" >
+    <sliver_type name="raw-pc"/>
+    <interface client_id="pg-utah:if0">
+      <ip address="10.22.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" >
+    <sliver_type name="raw-pc"/>
+    <interface client_id="ig-utah:if0">
+      <ip address="10.22.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <interface_ref client_id="ig-utah:if0"/>
+    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="100000"/>
+    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-pg-utah-ig-utah-xen.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-utah-ig-utah-xen.rspec	(revision 2387)
+++ /trunk/stitch-examples/stitch-pg-utah-ig-utah-xen.rspec	(revision 2387)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" >
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-utah:if0">
+      <ip address="10.22.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" >
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-utah:if0">
+      <ip address="10.22.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <interface_ref client_id="ig-utah:if0"/>
+    <property source_id="pg-utah:if0" dest_id="ig-utah:if0"/>
+    <property source_id="ig-utah:if0" dest_id="pg-utah:if0"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-pg-utah-ig-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-utah-ig-utah.rspec	(revision 2386)
+++ /trunk/stitch-examples/stitch-pg-utah-ig-utah.rspec	(revision 2387)
@@ -6,15 +6,15 @@
 	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
 	http://www.geni.net/resources/rspec/3/request.xsd">  
-  <node client_id="server" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
-    <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
-    <interface client_id="server:if0">
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-utah:if0">
       <ip address="10.22.4.1" netmask="255.255.255.0" type="ipv4"/>
     </interface>
   </node>
-  <node client_id="client" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
-    <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
-    <interface client_id="client:if0">
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-utah:if0">
       <ip address="10.22.4.2" netmask="255.255.255.0" type="ipv4"/>
     </interface>
@@ -23,8 +23,8 @@
     <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
     <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
-    <interface_ref client_id="server:if0"/>
-    <interface_ref client_id="client:if0"/>
-    <property source_id="server:if0" dest_id="client:if0"/>
-    <property source_id="client:if0" dest_id="server:if0"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <interface_ref client_id="ig-utah:if0"/>
+    <property source_id="pg-utah:if0" dest_id="ig-utah:if0"/>
+    <property source_id="ig-utah:if0" dest_id="pg-utah:if0"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-pg-utah-ig-utahddc.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-utah-ig-utahddc.rspec	(revision 2387)
+++ /trunk/stitch-examples/stitch-pg-utah-ig-utahddc.rspec	(revision 2387)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-utah:if0">
+      <ip address="10.22.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-utahddc" component_manager_id="urn:publicid:IDN+utahddc.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-utahddc:if0">
+      <ip address="10.22.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <interface_ref client_id="ig-utahddc:if0"/>
+    <property source_id="pg-utah:if0" dest_id="ig-utahddc:if0"/>
+    <property source_id="ig-utahddc:if0" dest_id="pg-utah:if0"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-pg-utah-pg-uky.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-utah-pg-uky.rspec	(revision 2386)
+++ /trunk/stitch-examples/stitch-pg-utah-pg-uky.rspec	(revision 2387)
@@ -10,5 +10,5 @@
   <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
-     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
     <interface client_id="pg-utah:if0">
       <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
@@ -17,5 +17,5 @@
   <node client_id="pg-uky" component_manager_id="urn:publicid:IDN+uky.emulab.net+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
-     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
     <interface client_id="pg-uky:if0">
       <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
@@ -27,6 +27,6 @@
     <interface_ref client_id="pg-utah:if0"/>
     <interface_ref client_id="pg-uky:if0"/>
-    <property source_id="pg-utah:if0" dest_id="pg-uky:if0"/>
-    <property source_id="pg-uky:if0" dest_id="pg-utah:if0"/>
+    <property source_id="pg-utah:if0" dest_id="pg-uky:if0" />
+    <property source_id="pg-uky:if0" dest_id="pg-utah:if0" />
   </link>
 </rspec>
